Subject: [xrblock] FW: SDP directorate review of draft-ietf-xrblock-rtcp-xr-video-lc-01

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 9 Sep 2015 00:30:46 +0000

BR,
Rachel

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: Friday, August 14, 2015 5:36 PM
To: mmusic; Shida Schubert ([email-masked]); Romascanu, Dan (Dan); [email-masked]; [email-masked]; [email-masked]
Subject: SDP directorate review of draft-ietf-xrblock-rtcp-xr-video-lc-01

(Sending again, with the correct e-mail addresses)

Hi,

I have done an SDP directorate review of draft-ietf-xrblock-rtcp-xr-video-lc-01. 

In general I didn't find any major issues, but I do have a few editorial comments that the authors may wish to address.

Q1:

The text in section 5 says:

	"However XR blocks MAY be used without prior signaling (see section 5 of [RFC3611])."

I suggest to remove the sentence, as the previous sentence refers to RFC 3611 for the generic SDP considerations.

IF you want to keep the sentence, I think MAY should not be in capital letters, as you are referring to a rule defined elsewhere. 

Q2:

In section 5.1, the value for the extension is defined as "video-loss-concealment".

Couldn't it be shorter, e.g. simply "vlc"? The size of a typical SDP message body is already very big, so...

Also, if you look as the XR blocks defined in RFC3611, they mostly use abbreviations too.

Q3:

The text in section 5.2 says:

	"When SDP is used in offer-answer context, the SDP Offer/Answer usage
   	defined in [RFC3611] for unilateral "rtcp-xr" attribute parameters
   	applies.  For detailed usage of Offer/Answer for unilateral
   	parameter, refer to section 5.2 of [RFC3611]."

I suggest to remove the second sentence. If you want to mention section 5.2 of RFC3611, you can do that in the first sentence, e.g.:

	"When SDP is used in offer-answer context, the SDP Offer/Answer usage
   	defined in section 5.2 of [RFC3611] for unilateral "rtcp-xr" attribute parameters
   	applies."

Regards,

Christer

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 9 Sep 2015 00:31:05 +0000

BR,
Rachel

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of Huangyihong (Rachel)
Sent: Monday, August 17, 2015 11:05 AM
To: Christer Holmberg; mmusic; Shida Schubert ([email-masked]); Romascanu, Dan (Dan); [email-masked]; [email-masked]; [email-masked]
Subject: Re: [MMUSIC] SDP directorate review of draft-ietf-xrblock-rtcp-xr-video-lc-01

Hi Christer,

Thanks for the SDP directorate review. Please see my answers inline.

BR,
Rachel

> To: mmusic; Shida Schubert ([email-masked]); Romascanu, Dan (Dan); 
> [email-masked]; [email-masked]; 
> [email-masked]
> In general I didn't find any major issues, but I do have a few 
> editorial comments that the authors may wish to address.
> 
> 
> Q1:
> 
> I suggest to remove the sentence, as the previous sentence refers to 
> RFC 3611 for the generic SDP considerations.
> 
> IF you want to keep the sentence, I think MAY should not be in capital 
> letters, as you are referring to a rule defined elsewhere.

[Rachel]: All right. We'll just delete this sentence.

> Also, if you look as the XR blocks defined in RFC3611, they mostly use 

[Rachel]: Okay. Abbreviations will be used in the next version.

> I suggest to remove the second sentence. If you want to mention 
> section 5.2 of RFC3611, you can do that in the first sentence, e.g.:
> 

[Rachel]: The modification looks good to me. Thanks for your suggestions.

> Christer

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic